
Infrastructure - Bug #4142

dataone-cn-processdaemon prerm needs to be reconfiguration friendly

2013-10-30 00:04 - Robert Waltz

Status: New Start date: 2014-10-01

Priority: Normal Due date: 2014-10-01

Assignee: Robert Waltz % Done: 0%

Category: d1_cn_buildout Estimated time: 0.00 hour

Target version: Release Backlog   

Milestone: None Story Points:  

Product Version: *   

Description

prerm of dataone-cn-processdaemon does not distinguish between a remove/purge or reconfiguration . Currently reconfiguration

completely destroys the setup. However, the most of the logic of prerm should only be executed during a purge operation.

History

#1 - 2013-10-30 00:05 - Robert Waltz

- Target version changed from 2013.46-Block.6.2 to 2013.49-Block.6.3

#2 - 2014-01-06 22:43 - Robert Waltz

- Milestone changed from CCI-1.2 to CCI-1.4

- Target version changed from 2013.49-Block.6.3 to 2014.8-Block.1.4

#3 - 2014-03-14 20:46 - Robert Waltz

- Target version changed from 2014.8-Block.1.4 to 2014.14-Block.2.3

#4 - 2014-03-14 20:47 - Robert Waltz

- Target version changed from 2014.14-Block.2.3 to 2014.16-Block.2.4

#5 - 2014-03-14 20:48 - Robert Waltz

- Tracker changed from Task to Bug

- Due date set to 2014-04-26

- translation missing: en.field_remaining_hours set to 0.0

#6 - 2014-07-31 20:32 - Robert Waltz

- Target version deleted (2014.16-Block.2.4)

- Product Version changed from 1.2.3 to *

- Due date deleted (2014-04-26)

- Start date deleted (2013-10-30)

#7 - 2014-10-01 21:27 - Dave Vieglais

- Start date set to 2014-10-01

- Due date set to 2014-10-01

- Target version set to Release Backlog

#8 - 2016-08-10 20:58 - Robert Waltz

- Milestone changed from CCI-1.4 to None
